automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH 5/9] New tests for Automake silent-mode with Fortran.


From: Stefano Lattarini
Subject: [PATCH 5/9] New tests for Automake silent-mode with Fortran.
Date: Mon, 26 Apr 2010 00:04:34 +0200
User-agent: KMail/1.12.1 (Linux/2.6.30-2-686; KDE/4.3.4; i686; ; )

* tests/silentf77.test: New test.
* tests/silentf90.test: Likewise.
* tests/Makefile.am (TESTS): Updated accordingly.
From fd9b7fbfc6daa4a29f8feb6c3bc7ab9f6761e571 Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Sun, 25 Apr 2010 22:20:57 +0200
Subject: [PATCH 5/9] New tests for Automake silent-mode with Fortran.

* tests/silentf77.test: New test.
* tests/silentf90.test: Likewise.
* tests/Makefile.am (TESTS): Updated accordingly.
---
 ChangeLog            |    5 +++
 tests/Makefile.am    |    2 +
 tests/Makefile.in    |    2 +
 tests/silentf77.test |   91 ++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/silentf90.test |   91 ++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 191 insertions(+), 0 deletions(-)
 create mode 100755 tests/silentf77.test
 create mode 100755 tests/silentf90.test

diff --git a/ChangeLog b/ChangeLog
index 7870466..602485e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,10 @@
 2010-04-25  Stefano Lattarini  <address@hidden>
 
+       New tests for Automake silent-mode with Fortran.
+       * tests/silentf77.test: New test.
+       * tests/silentf90.test: Likewise.
+       * tests/Makefile.am (TESTS): Updated accordingly.
+
        New test `silentcxx.test' (Automake silent-mode with C++).
        * tests/silentcxx.test: New test.
        * tests/Makefile.am (TESTS): Updated accordingly.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index f2f7fd5..eefdb41 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -625,6 +625,8 @@ silent7.test \
 silent8.test \
 silent9.test \
 silentcxx.test \
+silentf77.test \
+silentf90.test \
 silentlex.test \
 silentyacc.test \
 sinclude.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 4b8ab84..fb75877 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -866,6 +866,8 @@ silent7.test \
 silent8.test \
 silent9.test \
 silentcxx.test \
+silentf77.test \
+silentf90.test \
 silentlex.test \
 silentyacc.test \
 sinclude.test \
diff --git a/tests/silentf77.test b/tests/silentf77.test
new file mode 100755
index 0000000..39495d4
--- /dev/null
+++ b/tests/silentf77.test
@@ -0,0 +1,91 @@
+#!/bin/sh
+# Copyright (C) 2010 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Check silent-rules mode for Fortran 77.
+# Keep this ins sync with the sister test silentf90.test.
+
+required='gfortran' # FIXME: any working Fortran compiler should be OK!
+. ./defs
+
+set -e
+
+mkdir sub
+
+cat >>configure.in <<'EOF'
+AM_SILENT_RULES
+AC_PROG_F77
+AC_CONFIG_FILES([sub/Makefile])
+AC_OUTPUT
+EOF
+
+cat > Makefile.am <<'EOF'
+# Need generic and non-generic rules.
+bin_PROGRAMS = foo1 foo2
+foo1_SOURCES = foo.f
+foo2_SOURCES = $(foo1_SOURCES)
+foo2_FFLAGS = $(AM_FFLAGS)
+SUBDIRS = sub
+EOF
+
+cat > sub/Makefile.am <<'EOF'
+AUTOMAKE_OPTIONS = subdir-objects
+# Need generic and non-generic rules.
+bin_PROGRAMS = bar1 bar2
+bar1_SOURCES = bar.f
+bar2_SOURCES = $(bar1_SOURCES)
+bar2_FFLAGS = $(AM_FFLAGS)
+EOF
+
+cat > foo.f <<'EOF'
+      program foo
+      stop
+      end
+EOF
+cp foo.f sub/bar.f
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+
+./configure --enable-silent-rules
+$MAKE >stdout || { cat stdout; Exit 1; }
+cat stdout
+
+$EGREP ' (-c|-o)' stdout && Exit 1
+grep 'mv ' stdout && Exit 1
+
+grep 'F77 .*foo\.'  stdout
+grep 'F77 .*bar\.'  stdout
+grep 'F77LD .*foo1' stdout
+grep 'F77LD .*bar1' stdout
+grep 'F77LD .*foo2' stdout
+grep 'F77LD .*bar2' stdout
+
+$EGREP '(FC|FCLD) ' stdout && Exit 1
+
+# Ensure a clean rebuild.
+$MAKE clean
+
+$MAKE V=1 >stdout || { cat stdout; Exit 1; }
+cat stdout
+
+grep ' -c ' stdout
+grep ' -o ' stdout
+
+$EGREP '(F77|FC|LD) ' stdout && Exit 1
+
+$MAKE clean
+$MAKE maintainer-clean
diff --git a/tests/silentf90.test b/tests/silentf90.test
new file mode 100755
index 0000000..9330bdd
--- /dev/null
+++ b/tests/silentf90.test
@@ -0,0 +1,91 @@
+#!/bin/sh
+# Copyright (C) 2010 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Check silent-rules mode for Fortran 90.
+# Keep this ins sync with the sister test silentf77.test.
+
+required='gfortran' # FIXME: any working Fortran compiler should be OK!
+. ./defs
+
+set -e
+
+mkdir sub
+
+cat >>configure.in <<'EOF'
+AM_SILENT_RULES
+AC_PROG_FC
+AC_CONFIG_FILES([sub/Makefile])
+AC_OUTPUT
+EOF
+
+cat > Makefile.am <<'EOF'
+# Need generic and non-generic rules.
+bin_PROGRAMS = foo1 foo2
+foo1_SOURCES = foo.f90
+foo2_SOURCES = $(foo1_SOURCES)
+foo2_FCFLAGS = $(AM_FCLAGS)
+SUBDIRS = sub
+EOF
+
+cat > sub/Makefile.am <<'EOF'
+AUTOMAKE_OPTIONS = subdir-objects
+# Need generic and non-generic rules.
+bin_PROGRAMS = bar1 bar2
+bar1_SOURCES = bar.f90
+bar2_SOURCES = $(bar1_SOURCES)
+bar2_FCFLAGS = $(AM_FCLAGS)
+EOF
+
+cat > foo.f90 <<'EOF'
+      program foo
+      stop
+      end
+EOF
+cp foo.f90 sub/bar.f90
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+
+./configure --enable-silent-rules
+$MAKE >stdout || { cat stdout; Exit 1; }
+cat stdout
+
+$EGREP ' (-c|-o)' stdout && Exit 1
+grep 'mv ' stdout && Exit 1
+
+grep 'FC .*foo\.'  stdout
+grep 'FC .*bar\.'  stdout
+grep 'FCLD .*foo1' stdout
+grep 'FCLD .*bar1' stdout
+grep 'FCLD .*foo2' stdout
+grep 'FCLD .*bar2' stdout
+
+$EGREP '(F77|F77LD) ' stdout && Exit 1
+
+# Ensure a clean rebuild.
+$MAKE clean
+
+$MAKE V=1 >stdout || { cat stdout; Exit 1; }
+cat stdout
+
+grep ' -c ' stdout
+grep ' -o ' stdout
+
+$EGREP '(F77|FC|LD) ' stdout && Exit 1
+
+$MAKE clean
+$MAKE maintainer-clean
-- 
1.6.5


reply via email to

[Prev in Thread] Current Thread [Next in Thread]